Bug 1203122 - [RFE][DOC] - Document the newly introduced option "cluster.consistent-metadata" in AFR
Summary: [RFE][DOC] - Document the newly introduced option "cluster.consistent-metadat...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: Documentation
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
: ---
Assignee: Divya
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On: 1202541
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 07:44 UTC by Krutika Dhananjay
Modified: 2015-05-13 17:55 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-10 07:16:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Krutika Dhananjay 2015-03-18 07:44:20 UTC
Document URL: 

Section Number and Name: 

Describe the issue: 

The new option 'cluster.consistent-metadata' needs to be documented.
Suggestions for improvement: 

Additional information:

Comment 2 Krutika Dhananjay 2015-03-18 11:49:40 UTC
Option name: cluster.consistent-metadata

Allowed Values: on|off

Default value: off

Description:
Enabling this option will let readdirp in AFR always serve attributes of all entries from their respective read children as long as they hold the good copy (the copy not needing heal) of the file/directory. Note however that it can cause applications to perceive reduction in performance where readdirps are involved.

Comment 3 Krutika Dhananjay 2015-03-18 11:55:01 UTC
Forgot to add the following:

Enabling this option should be followed by unmounting and mounting the volume at the clients to see its effect.

Comment 4 Divya 2015-03-23 08:17:14 UTC
Documented cluster.consistent-metadata option in Section 8.1. Configuring Volume Options. 

Link to the latest documentation: http://docbuilder.usersys.redhat.com/22522/#Configuring_Volume_Options

Comment 5 Anil Shah 2015-03-25 11:05:13 UTC
Looks good to me.
Marking this bug as verified.


Note You need to log in before you can comment on or make changes to this bug.